com.impinj.stp

## Class StpApi.OperationData.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationData.Builder>
      - - com.impinj.stp.StpApi.OperationData.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.OperationDataOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.OperationData

      public static final class StpApi.OperationData.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationData.Builder>
      implements StpApi.OperationDataOrBuilder

  Protobuf type `Impinj.STP.OperationData`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.OperationData.Builder` | `addAllData(java.lang.Iterable<java.lang.String> values)`
    `StpApi.OperationData.Builder` | `addData(java.lang.String value)`
    `StpApi.OperationData.Builder` | `addDataBytes(com.google.protobuf.ByteString value)`
    `StpApi.OperationData` | `build()`
    `StpApi.OperationData` | `buildPartial()`
    `StpApi.OperationData.Builder` | `clear()`
    `StpApi.OperationData.Builder` | `clearData()`
    `StpApi.OperationData.Builder` | `clearOperationDetails()`
    `StpApi.OperationData.Builder` | `clone()`
    `java.lang.String` | `getData(int index)`
    `com.google.protobuf.ByteString` | `getDataBytes(int index)`
    `int` | `getDataCount()`
    `java.util.List<java.lang.String>` | `getDataList()`
    `StpApi.OperationData` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.OperationDataDetails` | `getOperationDetails()`
    `StpApi.OperationDataDetails.Builder` | `getOperationDetailsBuilder()`
    `StpApi.OperationDataDetailsOrBuilder` | `getOperationDetailsOrBuilder()`
    `boolean` | `hasOperationDetails()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.OperationData.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.OperationData.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.OperationData.Builder` | `mergeFrom(StpApi.OperationData other)`
    `StpApi.OperationData.Builder` | `mergeOperationDetails(StpApi.OperationDataDetails value)`
    `StpApi.OperationData.Builder` | `setData(int index, java.lang.String value)`
    `StpApi.OperationData.Builder` | `setOperationDetails(StpApi.OperationDataDetails.Builder builderForValue)`
    `StpApi.OperationData.Builder` | `setOperationDetails(StpApi.OperationDataDetails value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationData.Builder>`

    - #### clear

          public StpApi.OperationData.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationData.Builder>`

    - #### clone

          public StpApi.OperationData.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationData.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationData.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.OperationData getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.OperationData build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.OperationData buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.OperationData.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationData.Builder>`

    - #### mergeFrom

          public StpApi.OperationData.Builder mergeFrom(StpApi.OperationData other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationData.Builder>`

    - #### mergeFrom

          public StpApi.OperationData.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationData.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasOperationDetails

          public boolean hasOperationDetails()

      Specified by:
        `hasOperationDetails` in interface `StpApi.OperationDataOrBuilder`

    - #### getOperationDetails

          public StpApi.OperationDataDetails getOperationDetails()

      Specified by:
        `getOperationDetails` in interface `StpApi.OperationDataOrBuilder`

    - #### setOperationDetails

          public StpApi.OperationData.Builder setOperationDetails(StpApi.OperationDataDetails value)

    - #### setOperationDetails

          public StpApi.OperationData.Builder setOperationDetails(StpApi.OperationDataDetails.Builder builderForValue)

    - #### mergeOperationDetails

          public StpApi.OperationData.Builder mergeOperationDetails(StpApi.OperationDataDetails value)

    - #### clearOperationDetails

          public StpApi.OperationData.Builder clearOperationDetails()

    - #### getOperationDetailsBuilder

          public StpApi.OperationDataDetails.Builder getOperationDetailsBuilder()

    - #### getOperationDetailsOrBuilder

          public StpApi.OperationDataDetailsOrBuilder getOperationDetailsOrBuilder()

      Specified by:
        `getOperationDetailsOrBuilder` in interface `StpApi.OperationDataOrBuilder`

    - #### getDataList

          public java.util.List<java.lang.String> getDataList()

      Specified by:
        `getDataList` in interface `StpApi.OperationDataOrBuilder`

    - #### getDataCount

          public int getDataCount()

      Specified by:
        `getDataCount` in interface `StpApi.OperationDataOrBuilder`

    - #### getData

          public java.lang.String getData(int index)

      Specified by:
        `getData` in interface `StpApi.OperationDataOrBuilder`

    - #### getDataBytes

          public com.google.protobuf.ByteString getDataBytes(int index)

      Specified by:
        `getDataBytes` in interface `StpApi.OperationDataOrBuilder`

    - #### setData

          public StpApi.OperationData.Builder setData(int index,
                                                      java.lang.String value)

    - #### addData

          public StpApi.OperationData.Builder addData(java.lang.String value)

    - #### addAllData

          public StpApi.OperationData.Builder addAllData(java.lang.Iterable<java.lang.String> values)

    - #### clearData

          public StpApi.OperationData.Builder clearData()

    - #### addDataBytes

          public StpApi.OperationData.Builder addDataBytes(com.google.protobuf.ByteString value)